## Active contact persons of a customer for the contact picker (desk:write, desk:admin or hr:work:billing, as searchCustomers)

`GET /api/desk/v1/directory/customers/{id}/contacts`

Module: Desk · operationId: `listCustomerContacts` · Tag: Configuration · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Responses

- **200** Contacts (`application/json`)
- **403** Error (`application/json`)
- **404** Error (`application/json`)
- **503** Masterdata is not configured or not reachable (`application/json`)

Fields of the 200 answer:

- `items` (array of ContactOption, required)
  - `id` (string (uuid), required): Masterdata contact person id – the contact ref of tickets
  - `name` (string, required): Name of the contact person
  - `email` (string): E-mail address of the contact person
  - `position` (string): Position of the contact person

Example 200 answer:

```json
{
  "items": [
    {
      "email": "stefan.eder@donau-maschinenbau.example",
      "id": "6b8d0f2a-4c6e-4a8b-9d1f-3a5c7e9b1d51",
      "name": "Stefan Eder",
      "position": "IT-Leiter"
    },
    {
      "email": "sabine.wolf@donau-maschinenbau.example",
      "id": "6b8d0f2a-4c6e-4a8b-9d1f-3a5c7e9b1d52",
      "name": "Sabine Wolf",
      "position": "Einkauf"
    }
  ]
}
```

### Example request

```bash
curl -X GET 'https://api.mbcom.cloud/api/desk/v1/directory/customers/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/contacts' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
